package com.trade.service.contract.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.stereotype.Component;

@Component
@ConditionalOnProperty("sop")
public class SOPConfigHolder {

    private static String urlPrefix;

    @Value("${sop.urlPrefix}")
    public void setUrlPrefix(String urlPrefix) {
        SOPConfigHolder.urlPrefix = urlPrefix;
    }

    public static String getUrlPrefix() {
        return urlPrefix;
    }
}
